BizKitHub
DocsAPI ReferenceOrder/bff/order/add-credit
postOrderAdmin BFF

/bff/order/add-credit

Adds a credit-granting line item to the order and recalculates the total price.

OrderpostBffOrderAdd-credit

Parameters

JSON body

Request body

application/json
orderHashstringRequired

Unique order hash identifier.

labelstringRequired

Item label displayed on invoice.

pricenumberRequired

Unit price including VAT.

creditnumberRequired

Credit amount to grant to the customer.

vatnumberRequired

VAT rate in percent (e.g. 21).

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/order/add-credit

post
curl -X POST "https://api.bizkithub.com/bff/order/add-credit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderHash": "example_orderHash",
  "label": "example_label",
  "price": 0,
  "credit": 0,
  "vat": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key